FEIBM_ANS: ExactSolutionRingWithFibers< dim > Class Template Reference

FEIBM_ANS

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Enumerations Enumerator Pages
Public Member Functions | Public Attributes | Private Attributes | List of all members
ExactSolutionRingWithFibers< dim > Class Template Reference
Inheritance diagram for ExactSolutionRingWithFibers< dim >:

## Public Member Functions
| ExactSolutionRingWithFibers (ProblemParameters< dim > &par)
void | vector_value (const Point< dim > &p, Vector< double > &values) const
void | vector_value_list (const vector< Point< dim > > &points, vector< Vector< double > > &values) const

## Public Attributes
double | R
double | w
double | l
Point< dim > | center

## Private Attributes
ProblemParameters< dim > & | par

## Detailed Description

### template<int dim>
class ExactSolutionRingWithFibers< dim >

Definition at line 399 of file step-feibm.cc.

## Constructor & Destructor Documentation

template<int dim>

ExactSolutionRingWithFibers< dim >::ExactSolutionRingWithFibers | ( | ProblemParameters< dim > & | par | ) |

Definition at line 432 of file step-feibm.cc.

References ExactSolutionRingWithFibers< dim >::center, ExactSolutionRingWithFibers< dim >::l, ExactSolutionRingWithFibers< dim >::par, ExactSolutionRingWithFibers< dim >::R, and ExactSolutionRingWithFibers< dim >::w.

## Member Function Documentation

template<int dim>

void ExactSolutionRingWithFibers< dim >::vector_value | ( | const Point< dim > & | p,
|  | Vector< double > & | values
| ) |  | const

Definition at line 454 of file step-feibm.cc.

template<int dim>

void ExactSolutionRingWithFibers< dim >::vector_value_list | ( | const vector< Point< dim > > & | points,
|  | vector< Vector< double > > & | values
| ) |  | const

Definition at line 477 of file step-feibm.cc.

## Member Data Documentation

template<int dim>

Point<dim> ExactSolutionRingWithFibers< dim >::center

Definition at line 423 of file step-feibm.cc.

Referenced by ImmersedFEM< dim >::create_triangulation_and_dofs(), and ExactSolutionRingWithFibers< dim >::ExactSolutionRingWithFibers().

template<int dim>

double ExactSolutionRingWithFibers< dim >::l

Definition at line 420 of file step-feibm.cc.

Referenced by ImmersedFEM< dim >::create_triangulation_and_dofs(), and ExactSolutionRingWithFibers< dim >::ExactSolutionRingWithFibers().

template<int dim>

ProblemParameters<dim>& ExactSolutionRingWithFibers< dim >::par
| private

Definition at line 427 of file step-feibm.cc.

Referenced by ExactSolutionRingWithFibers< dim >::ExactSolutionRingWithFibers().

template<int dim>

double ExactSolutionRingWithFibers< dim >::R

Definition at line 414 of file step-feibm.cc.

Referenced by ImmersedFEM< dim >::create_triangulation_and_dofs(), and ExactSolutionRingWithFibers< dim >::ExactSolutionRingWithFibers().

template<int dim>

double ExactSolutionRingWithFibers< dim >::w

Definition at line 417 of file step-feibm.cc.

Referenced by ImmersedFEM< dim >::create_triangulation_and_dofs(), and ExactSolutionRingWithFibers< dim >::ExactSolutionRingWithFibers().

The documentation for this class was generated from the following file:

- tmp/step-feibm.cc